$INCLUDE: 'C:\FG\INTRFACE.FOR'

      INTERFACE TO SUBROUTINE INT1C[C](FLAG)
      INTEGER*2 FLAG
      END

      PROGRAM MAIN

      INTEGER*1 ESC
      PARAMETER (ESC=27)

      INTEGER*1 KEY, AUX
      INTEGER*2 STATUS1, STATUS2

      CALL INT1C(1)

      STATUS1 = 0
      STATUS2 = 0

10    WRITE(6,*)
      WRITE(6,*) 'Joystick 1 status:', STATUS1
      WRITE(6,*) 'Joystick 2 status:', STATUS2
      STATUS1 = 0
      STATUS2 = 0
      CALL FG_GETKEY(KEY,AUX)
      IF (KEY .NE. ESC) GO TO 10

      CALL INT1C(0)

      STOP ' '
      END
